// node native
import * as path from 'path';
import * as stream from 'stream';

export { path, stream };

// @push.rocks scope
import * as smartpath from '@push.rocks/smartpath';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartrx from '@push.rocks/smartrx';
import * as smartstream from '@push.rocks/smartstream';

export { smartpath, smartpromise, smartrx, smartstream };

// @tsclass
import * as tsclass from '@tsclass/tsclass';

export {
  tsclass,
}

// third party scope
import * as minio from 'minio';

export { minio };
